# Motor Board Documentation



The Motor Board uses two [AD5175 digital potentiometers](https://www.mouser.com/datasheet/2/609/AD5175-1501567.pdf) to control the throttle and regen values in the motor control. The AD5175 IC has a configurable address pin that allows the user to select the lower two bits of the device's I2C address.

The data sheet specifies that tying ADDR to GND will set A1 and A0 to 11, trying to VDD will set to 00, and leaving it floating will set to 10. Although the throttle and brake digital pots will be on different I2C, we've still chosen to set different addresses for each device. This will provide extra redundnacy and prevent a regen value from ever being sent to the throttle input, or vice versa. 

We've chosen somehat arbitrarily to tie the regen digital pot's ADDR pin to VDD, and the throttle pot's ADDR pin to GND. Thus, the address of the regen pot will be 0101100, and the address of the throttle pot will be 0101111. 

